import sys
from typing import Any

if sys.version_info >= (3, 10):
    from typing import TypeAlias
else:
    TypeAlias = Any  # Fallback for older versions

from pysmt.fnode import FNode

BoolFormula: TypeAlias = FNode
