"""
Basic reachability algorithm for a transition system
"""

from typing import Tuple, Optional
from mc308.auto.ts import Action, TS, FinitePath
from mc308.logics.bool import BoolFormula

from pysmt.shortcuts import Symbol, And, Not, Or

from typing import Collection
import itertools


def async_product(t1 : TS, t2 : TS) -> TS:
    """
    Computes the aynchronous product of t1 and t2.

    The operation considers the common set of actions of t1 and t2.

    Here we compute the product pruning the unreachable states.
    """

    raise NotImplementedError("Should implement async_product")


def check_invar(ts : TS, invar : BoolFormula) -> Tuple[bool, Optional[FinitePath]]:
    """
    """

    raise NotImplementedError("Should implement check_invar")

